/* styles.css */
.header-container {
    display: flex;
    align-items: center;
}

h1, small {
    display: inline-block;
    vertical-align: middle; 
}
.header-container h1 {
    font-size: 2em;
}

.header-container small {
    font-size: 1em;
}

.fullscreen-container {
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
    display:flex;
}

.half {
    flex: 1;
    display: flex;
    background-color: #f0f0f0;
    border:2px solid #aeadad;
    flex-direction: column;
}

.half:nth-child(1) {
    background-color: #ffcccc;
    white-space: pre-wrap;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.half:nth-child(2) {
  height:100vh;
  width:100%;
  display:block;
  overflow: hidden;
  flex-direction: column;

}
.textBox {
    width: 100%;
    height: 100%;
    font-size: 1.5em;
    transition: transform 0.2s ease;
    overflow: auto;
    white-space:pre-wrap;
    word-wrap: break-word;
}
.control-bar {
    flex-shrink: 0;
    display: inline-flex;
    align-items: center;
    justify-content: space-around;
    height: 5%;
    width: 100%;
    background-color: none;
    border-radius: 5px;
    flex-direction: row;
    z-index: 2;
    position: relative;
}
.page_navigations {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2px;
}
.page_text {
    flex: 1;
}
.button-group
{
    display: flex;
    justify-content: space-between;
    width: 50%;
}
.button-group button
{
    flex: 1;
    margin: 0 5px;
    height: 30px;
}
#messege
{
    display: block;
    align-items: center;
    justify-content: center;
}
#osd-image
{
    height: 100%;
    width: 100%;
    transition: transform 0.2s ease;
    overflow: hidden;
    flex-shrink: 0;
    object-fit: cover;
    position: relative;
}
#overlay {
    left: 0;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    overflow: hidden;
}